View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/applications/webhookshttps://uri.paypal.com/services/applications/verify-webhook-signatureapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
webhook_eventobject<event>Requiredevent_versionstring<event_version>OptionalDeprecatedresource_versionstring<resource_version>Optionalapplication/json
application/json
curl -X POST "https://example.com/v1/notifications/verify-webhook-signature" \ -H "Content-Type: application/json" \ -d '{ "auth_algo": "string", "cert_url": "http://example.com", "transmission_id": "string", "transmission_sig": "string", "transmission_time": "2019-08-24T14:15:22Z", "webhook_id": "string", "webhook_event": {} }'{ "verification_status": "SUCCESS"}